Logistics
Create Delivery Stop
POST
/
api
/
v1
/
logistics
/
deliveries
/
{delivery_id}
/
stops
Create Delivery Stop
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stopOrder": 123,
"name": "<string>",
"subLabel": "<string>",
"stopType": "waypoint",
"state": "upcoming",
"plannedAt": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops"
payload = {
"stopOrder": 123,
"name": "<string>",
"subLabel": "<string>",
"stopType": "waypoint",
"state": "upcoming",
"plannedAt": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stopOrder: 123,
name: '<string>',
subLabel: '<string>',
stopType: 'waypoint',
state: 'upcoming',
plannedAt: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/logistics/deliveries/{delivery_id}/stops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"stopOrder": 123,
"name": "<string>",
"stopType": "<string>",
"state": "<string>",
"subLabel": "<string>",
"plannedAt": "<string>",
"actualAt": "<string>",
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
⌘I
Create Delivery Stop
